"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OneEye = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Layer_1 = require("../../../Layer");
var EyeLight_1 = require("./EyeLight");
var EyeLash_1 = require("./EyeLash");
var OneEye = function (_a) {
    var id = _a.id, color = _a.color, white = _a.white, iris = _a.iris, pupil = _a.pupil, light = _a.light, lash = _a.lash, skinColor = _a.skinColor;
    return (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(Layer_1.Layer, { id: id + "-white", color: "#FFF", shape: white }), (0, jsx_runtime_1.jsx)(Layer_1.Layer, { id: id + "-iris", color: color, shape: iris }), (0, jsx_runtime_1.jsx)(Layer_1.Layer, { id: id + "-pupil", color: "#000", shape: pupil }), light && (0, jsx_runtime_1.jsx)(EyeLight_1.EyeLight, { id: id, shape: light }), lash && skinColor && (0, jsx_runtime_1.jsx)(EyeLash_1.EyeLash, { id: id, color: skinColor, shape: lash })] });
};
exports.OneEye = OneEye;
//# sourceMappingURL=OneEye.js.map