"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AvatarForm = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var Nexter = __importStar(require("./Nexter"));
var SubForm = __importStar(require("./SubForm"));
var Default = __importStar(require("./Default"));
var FormattedAvatar_1 = require("../FormattedAvatar");
var AvatarForm = function (_a) {
    var data = _a.data;
    var _b = (0, react_1.useState)(Default.hairColor(data)), hairColor = _b[0], setHairColor = _b[1];
    var _c = (0, react_1.useState)(Default.hairCutId(data)), hairCutId = _c[0], setHairCutId = _c[1];
    var _d = (0, react_1.useState)(Default.skinColor(data)), skinColor = _d[0], setSkinColor = _d[1];
    var _e = (0, react_1.useState)(Default.eyeColor(data)), eyesColor = _e[0], setEyesColor = _e[1];
    var _f = (0, react_1.useState)(Default.backgroundColor(data)), backgroundColor = _f[0], setBackgroundColor = _f[1];
    var _g = (0, react_1.useState)(Default.beardCutId(data)), beardCutId = _g[0], setBeardCutId = _g[1];
    var _h = (0, react_1.useState)(Default.mustacheCutId(data)), mustacheCutId = _h[0], setMustacheCutId = _h[1];
    var _j = (0, react_1.useState)(Default.mouthShapeId(data)), mouthShapeId = _j[0], setMouthShapeId = _j[1];
    var _k = (0, react_1.useState)(Default.noseShapeId(data)), noseShapeId = _k[0], setNoseShapeId = _k[1];
    var _l = (0, react_1.useState)(Default.browsShapeId(data)), browsShapeId = _l[0], setBrowsShapeId = _l[1];
    var _m = (0, react_1.useState)(Default.earShapeId(data)), earsShapeId = _m[0], setEarsShapeId = _m[1];
    var _o = (0, react_1.useState)(Default.faceShapeId(data)), faceShapeId = _o[0], setFaceShapeId = _o[1];
    var _p = (0, react_1.useState)(Default.eyeShapeId(data)), eyesShapeId = _p[0], setEyesShapeId = _p[1];
    var _q = (0, react_1.useState)(Default.bodyShapeId(data)), bodyShapeId = _q[0], setBodyShapeId = _q[1];
    var _r = (0, react_1.useState)(Default.clothId(data)), clothesId = _r[0], setClothesId = _r[1];
    var changeHairColor = data.hairColors.length > 1
        ? function () { return setHairColor(Nexter.nextHairColor(hairColor, data)); } : undefined;
    var changeEyesColor = data.eyeColors.length > 1
        ? function () { return setEyesColor(Nexter.nextEyeColor(eyesColor, data)); } : undefined;
    var changeSkinColor = data.skinColors.length > 1
        ? function () { return setSkinColor(Nexter.nextSkinColor(skinColor, data)); } : undefined;
    var changeBackgroundColor = data.backgroundColors.length > 1
        ? function () { return setBackgroundColor(Nexter.nextBackgroundColor(backgroundColor, data)); } : undefined;
    var changeFaceShape = data.faceShapes.length > 1
        ? function () { return setFaceShapeId(Nexter.nextFaceShapeId(faceShapeId, data)); } : undefined;
    var changeBodyShape = data.bodyShapes.length > 1
        ? function () { return setBodyShapeId(Nexter.nextBodyShapeId(bodyShapeId, data)); } : undefined;
    var changeMouthShape = data.mouthShapes.length > 1
        ? function () { return setMouthShapeId(Nexter.nextMouthShapeId(mouthShapeId, data)); } : undefined;
    var changeNoseShape = data.noseShapes.length > 1
        ? function () { return setNoseShapeId(Nexter.nextNoseShapeId(noseShapeId, data)); } : undefined;
    var changeEarsShape = data.earShapes.length > 1
        ? function () { return setEarsShapeId(Nexter.nextEarsShapeId(earsShapeId, data)); } : undefined;
    var changeEyeShape = data.eyeShapes.length > 1
        ? function () { return setEyesShapeId(Nexter.nextEyeShapeId(eyesShapeId, data)); } : undefined;
    var changeEyeBrowsShape = data.browShapes.length > 1
        ? function () { return setBrowsShapeId(Nexter.nextBrowsShapeId(browsShapeId, data)); } : undefined;
    var changeHairCut = data.hairCuts.length > 1
        ? function () { return setHairCutId(Nexter.nextHairCutId(hairCutId, data)); } : undefined;
    var changeBeardCut = data.beardCuts.length > 1
        ? function () { return setBeardCutId(Nexter.nextBeardCutId(beardCutId, data)); } : undefined;
    var changeMustacheCut = data.mustacheCuts.length > 1
        ? function () { return setMustacheCutId(Nexter.nextMustacheCutId(mustacheCutId, data)); } : undefined;
    var changeClothes = data.clothes.length > 1
        ? function () { return setClothesId(Nexter.nextClothesId(clothesId, data)); } : undefined;
    return (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(changeSkinColor || changeHairColor || changeEyesColor) && (0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)(SubForm.ColorsForm, { changeSkinColor: changeSkinColor, changeHairColor: changeHairColor, changeEyesColor: changeEyesColor }) }), (changeHairCut || changeBeardCut || changeMustacheCut) && (0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)(SubForm.HairDresserForm, { changeHairCut: changeHairCut, changeBeardCut: changeBeardCut, changeMustacheCut: changeMustacheCut }) }), (changeFaceShape || changeEarsShape || changeEyeShape || changeEyeBrowsShape || changeMouthShape || changeNoseShape) && (0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)(SubForm.FaceFeaturesForm, { changeFaceShape: changeFaceShape, changeEarsShape: changeEarsShape, changeMouthShape: changeMouthShape, changeNoseShape: changeNoseShape, changeEyeShape: changeEyeShape, changeEyeBrowsShape: changeEyeBrowsShape }) }), (changeBodyShape || changeClothes) && (0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)(SubForm.BodyForm, { changeBodyShape: changeBodyShape, changeClothes: changeClothes }) }), changeBackgroundColor && (0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)(SubForm.BackgroundForm, { changeBackgroundColor: changeBackgroundColor }) }), (0, jsx_runtime_1.jsx)(FormattedAvatar_1.FormattedAvatar, { data: data, skinColor: skinColor, hairColor: hairColor, eyesColor: eyesColor, backgroundColor: backgroundColor, hairCutId: hairCutId, beardCutId: beardCutId, mustacheCutId: mustacheCutId, mouthShapeId: mouthShapeId, noseShapeId: noseShapeId, eyesShapeId: eyesShapeId, browsShapeId: browsShapeId, earsShapeId: earsShapeId, faceShapeId: faceShapeId, bodyShapeId: bodyShapeId, clothesId: clothesId })] });
};
exports.AvatarForm = AvatarForm;
exports.default = exports.AvatarForm;
//# sourceMappingURL=AvatarForm.js.map