"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThreeLayers = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var BaseLayer_1 = require("../BaseLayer");
var ShadowLayer_1 = require("../ShadowLayer");
var LightLayer_1 = require("../LightLayer");
var ThreeLayers = function (_a) {
    var id = _a.id, color = _a.color, shapes = _a.shapes;
    return (0, jsx_runtime_1.jsxs)("g", __assign({ id: id }, { children: [(0, jsx_runtime_1.jsx)(BaseLayer_1.BaseLayer, { id: id, color: color, shape: shapes.base }), shapes.shadow && (0, jsx_runtime_1.jsx)(ShadowLayer_1.ShadowLayer, { id: id, shape: shapes.shadow }), shapes.light && (0, jsx_runtime_1.jsx)(LightLayer_1.LightLayer, { id: id, shape: shapes.light })] }));
};
exports.ThreeLayers = ThreeLayers;
//# sourceMappingURL=ThreeLayers.js.map