"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormattedAvatar = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var BasicAvatar_1 = require("../BasicAvatar");
var Getter_1 = require("./Getter");
var FormattedAvatar = function (_a) {
    var data = _a.data, skinColor = _a.skinColor, hairColor = _a.hairColor, eyesColor = _a.eyesColor, backgroundColor = _a.backgroundColor, hairCutId = _a.hairCutId, beardCutId = _a.beardCutId, mustacheCutId = _a.mustacheCutId, mouthShapeId = _a.mouthShapeId, noseShapeId = _a.noseShapeId, eyesShapeId = _a.eyesShapeId, browsShapeId = _a.browsShapeId, earsShapeId = _a.earsShapeId, faceShapeId = _a.faceShapeId, bodyShapeId = _a.bodyShapeId, clothesId = _a.clothesId;
    var body = {
        color: skinColor,
        shape: (0, Getter_1.getBodyShape)(bodyShapeId, data)
    };
    var head = {
        hair: {
            color: hairColor,
            cut: (0, Getter_1.getHairCut)(hairCutId, data)
        },
        nose: (0, Getter_1.getNoseShape)(noseShapeId, data),
        eyes: {
            color: eyesColor,
            shape: (0, Getter_1.getEyeShape)(eyesShapeId, data)
        },
        brows: {
            color: hairColor,
            shape: (0, Getter_1.getBrowsShape)(browsShapeId, data)
        },
        mouth: (0, Getter_1.getMouthShape)(mouthShapeId, data),
        beardCut: (0, Getter_1.getBeardCut)(beardCutId, data),
        mustacheCut: (0, Getter_1.getMustacheCut)(mustacheCutId, data),
        ears: (0, Getter_1.getEarsShape)(earsShapeId, data),
        faceSkin: {
            color: skinColor,
            shape: (0, Getter_1.getFaceShape)(faceShapeId, data)
        }
    };
    var personage = {
        body: body,
        clothes: (0, Getter_1.getClothes)(clothesId, data),
        head: head
    };
    return (0, jsx_runtime_1.jsx)(BasicAvatar_1.BasicAvatar, { personage: personage, background: backgroundColor });
};
exports.FormattedAvatar = FormattedAvatar;
//# sourceMappingURL=FormattedAvatar.js.map