import { BodyShapeElementType } from "./BodyShapeElementType";
import { BeardCutElementType } from "./BeardCutElementType";
import { ClothesElementType } from "./ClothesElementType";
import { EarsShapeElementType } from "./EarsShapeElementType";
import { EyesShapeElementType } from "./EyesShapeElementType";
import { FaceShapeElementType } from "./FaceShapeElementType";
import { HairCutElementType } from "./HairCutElementType";
import { MouthElementType } from "./MouthElementType";
import { MustacheCutElementType } from "./MustacheCutElementType";
import { NoseElementType } from "./NoseElementType";
import { BrowsShapeElementType } from "./BrowsShapeElementType";
import { NonEmptyArray } from "./NonEmptyArray";
export declare type DataType = {
    backgroundColors: Array<string>;
    eyeColors: NonEmptyArray<string>;
    hairColors: NonEmptyArray<string>;
    skinColors: NonEmptyArray<string>;
    bodyShapes: NonEmptyArray<BodyShapeElementType>;
    faceShapes: NonEmptyArray<FaceShapeElementType>;
    mouthShapes: NonEmptyArray<MouthElementType>;
    noseShapes: NonEmptyArray<NoseElementType>;
    earShapes: NonEmptyArray<EarsShapeElementType>;
    eyeShapes: NonEmptyArray<EyesShapeElementType>;
    hairCuts: NonEmptyArray<HairCutElementType>;
    beardCuts: NonEmptyArray<BeardCutElementType>;
    mustacheCuts: NonEmptyArray<MustacheCutElementType>;
    browShapes: NonEmptyArray<BrowsShapeElementType>;
    clothes: NonEmptyArray<ClothesElementType>;
};
